/*
 * EdgesPerFragment.hpp
 *
 *  Created on: Oct 4, 2016
 *      Author: heber
 */


#ifndef FRAGMENTATION_EDGESPERFRAGMENT_HPP_
#define FRAGMENTATION_EDGESPERFRAGMENT_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <vector>

#include "types.hpp"

namespace FragmentationEdges {

//!> typedef for a single edge in a bond graph
  typedef std::pair<atomId_t, atomId_t> edge_t;
  //!> typedef for all edges of a fragment's bond graph
  typedef std::vector<edge_t> edges_t;
  //!> typedef for the set of edges over all fragments
  typedef std::vector<edges_t> edges_per_fragment_t;

} /* namespace Fragmentation  */


#endif /* FRAGMENTATION_EDGESPERFRAGMENT_HPP_ */
